GET api/role/{id}/documents?subTypes[0]={subTypes[0]}&subTypes[1]={subTypes[1]}&pageSize={pageSize}&pageNumber={pageNumber}&type={type}&orderDesc={orderDesc}&appointmentId={appointmentId}
Get a list of documents belonging to a role Processes this role API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The id of the role to get the documents for |
integer |
Required |
| subTypes |
The sub types value supplied with the request. |
Collection of string |
Required |
| pageSize |
The page size value supplied with the request. |
integer |
Default value is 20 |
| pageNumber |
The page number value supplied with the request. |
integer |
Default value is 1 |
| type |
The type value supplied with the request. |
string |
None. |
| orderDesc |
The order desc value supplied with the request. |
boolean |
Default value is True |
| appointmentId |
The unique identifier of the appointment resource. |
integer |
None. |
Body Parameters
None.
Response Information
Resource Description
A list of documents belonging to the role
PagedCollectionDataContractOfDocumentDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount |
The total count value. |
integer |
None. |
| CurrentCount |
The current count value. |
integer |
None. |
| PageSize |
The page size value. |
integer |
None. |
| PageNumber |
The page number value. |
integer |
None. |
| Collection |
The collection of collection. |
Collection of DocumentDataContract |
None. |
Response Formats
application/json
Sample not available.
text/json
Sample not available.